SimpleLTC customers NOT affected by CMSNet Juniper client mandatory upgrade

Ken BellSimpleConnectLeave a Comment

SimpleLTC customers not affected by CMSNet upgrade

QTSO announced on Aug. 13 that a mandatory upgrade is required for all CMSNet (Verizon VPN) users. The upgrade to a new CMSNet Juniper Client will occur for eastern states on Aug. 17, 2013 and for western states on Aug. 31, 2013.

Since we’ve received a few calls, we’re reminding our SimpleMDS™ customers that they are not affected by this change.

As we noted before when CMS changed their security model, SimpleMDS eliminates the need for a VPN connection to CMS. Instead, it connects automatically to CMS to transmit MDS assessments and retrieve CASPER reports, eliminating upload delays and helping achieve accurate reimbursement.

If you have any questions regarding this or other CMS issues, please contact our support team.

Leave a Reply

Your email address will not be published.